MyGUI: MyGUI::Window Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions | Data Fields | Protected Member Functions
MyGUI::Window Class Reference

Window properties.
Skin childs. Window widget description should be here. More...

`#include <MyGUI_Window.h>`

Inheritance diagram for MyGUI::Window:
[legend]

## Public Types
typedef RTTIBase | Base
typedef Window | RTTIBase
Public Types inherited from MyGUI::TextBox
typedef RTTIBase | Base
typedef TextBox | RTTIBase
Public Types inherited from MyGUI::Widget
typedef RTTIBase | Base
typedef Widget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| Window ()
virtual void | setVisible (bool _value)
void | setVisibleSmooth (bool _value)
void | destroySmooth ()
void | setAutoAlpha (bool _value)
bool | getAutoAlpha () const
virtual void | setCaption (const UString &_value)
virtual const UString & | getCaption ()
TextBox * | getCaptionWidget ()
void | setMinSize (const IntSize &_value)
void | setMinSize (int _width, int _height)
IntSize | getMinSize ()
void | setMaxSize (const IntSize &_value)
void | setMaxSize (int _width, int _height)
IntSize | getMaxSize ()
virtual void | setPosition (const IntPoint &_value)
virtual void | setSize (const IntSize &_value)
virtual void | setCoord (const IntCoord &_value)
void | setPosition (int _left, int _top)
void | setSize (int _width, int _height)
void | setCoord (int _left, int _top, int _width, int _height)
void | setSnap (bool _value)
bool | getSnap () const
const IntCoord & | getActionScale () const
void | setMovable (bool _value)
bool | getMovable () const
Public Member Functions inherited from MyGUI::TextBox
template<typename Type >
bool | isType () const
| TextBox ()
virtual IntCoord | getTextRegion ()
virtual IntSize | getTextSize ()
virtual void | setFontName (const std::string &_value)
const std::string & | getFontName ()
virtual void | setFontHeight (int _value)
int | getFontHeight ()
virtual void | setTextAlign (Align _value)
Align | getTextAlign ()
virtual void | setTextColour (const Colour &_value)
const Colour & | getTextColour ()
void | setCaptionWithReplacing (const std::string &_value)
virtual void | setTextShadowColour (const Colour &_value)
const Colour & | getTextShadowColour ()
virtual void | setTextShadow (bool _value)
bool | getTextShadow ()
Public Member Functions inherited from MyGUI::Widget
template<typename Type >
bool | isType () const
| Widget ()
Widget * | createWidgetT (const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_name="")
Widget * | createWidgetT (const std::string &_type, const std::string &_skin, int _left, int _top, int _width, int _height, Align _align, const std::string &_name="")
Widget * | createWidgetRealT (const std::string &_type, const std::string &_skin, const FloatCoord &_coord, Align _align, const std::string &_name="")
Widget * | createWidgetRealT (const std::string &_type, const std::string &_skin, float _left, float _top, float _width, float _height, Align _align, const std::string &_name="")
template<typename T >
T * | createWidget (const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_name="")
template<typename T >
T * | createWidget (const std::string &_skin, int _left, int _top, int _width, int _height, Align _align, const std::string &_name="")
template<typename T >
T * | createWidgetReal (const std::string &_skin, const FloatCoord &_coord, Align _align, const std::string &_name="")
template<typename T >
T * | createWidgetReal (const std::string &_skin, float _left, float _top, float _width, float _height, Align _align, const std::string &_name="")
Widget * | createWidgetT (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
template<typename T >
T * | createWidget (WidgetStyle _style, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
void | setPosition (int _left, int _top)
void | setSize (int _width, int _height)
void | setCoord (int _left, int _top, int _width, int _height)
void | setRealPosition (const FloatPoint &_value)
void | setRealSize (const FloatSize &_value)
void | setRealCoord (const FloatCoord &_value)
void | setRealPosition (float _left, float _top)
void | setRealSize (float _width, float _height)
void | setRealCoord (float _left, float _top, float _width, float _height)
const std::string & | getName () const
| Get name of widget. More...
bool | getVisible () const
void | setDepth (int _value)
int | getDepth () const
bool | getInheritedVisible () const
virtual void | setAlign (Align _value)
Align | getAlign () const
void | setAlpha (float _value)
float | getAlpha () const
void | setInheritsAlpha (bool _value)
bool | getInheritsAlpha () const
void | setColour (const Colour &_value)
bool | isRootWidget () const
Widget * | getParent () const
IntSize | getParentSize () const
EnumeratorWidgetPtr | getEnumerator () const
size_t | getChildCount ()
Widget * | getChildAt (size_t _index)
Widget * | findWidget (const std::string &_name)
void | findWidgets (const std::string &_name, VectorWidgetPtr &_result)
virtual void | setEnabled (bool _value)
void | setEnabledSilent (bool _value)
bool | getEnabled () const
bool | getInheritedEnabled () const
IntCoord | getClientCoord ()
Widget * | getClientWidget ()
void | detachFromWidget (const std::string &_layer="")
void | attachToWidget (Widget *_parent, WidgetStyle _style=WidgetStyle::Child, const std::string &_layer="")
void | changeWidgetSkin (const std::string &_skinName)
void | setWidgetStyle (WidgetStyle _style, const std::string &_layer="")
WidgetStyle | getWidgetStyle () const
void | setProperty (const std::string &_key, const std::string &_value)
virtual size_t | _getItemIndex (Widget *_item)
void | _forcePick (Widget *_widget)
void | _initialise (WidgetStyle _style, const IntCoord &_coord, const std::string &_skinName, Widget *_parent, ICroppedRectangle *_croppedParent, const std::string &_name)
void | _shutdown ()
void | _destroyChildWidget (Widget *_widget)
void | _setContainer (Widget *_value)
Widget * | _getContainer ()
void | _setAlign (const IntSize &_oldsize, const IntSize &_newSize)
bool | _checkPoint (int _left, int _top) const
Widget * | _createSkinWidget (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
virtual void | _resetContainer (bool _update)
bool | _setWidgetState (const std::string &_value)
void | _updateChilds ()
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()
Public Member Functions inherited from MyGUI::ICroppedRectangle
| ICroppedRectangle ()
virtual | ~ICroppedRectangle ()
ICroppedRectangle * | getCroppedParent ()
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::UserData
| UserData ()
virtual | ~UserData ()
void | setUserString (const std::string &_key, const std::string &_value)
const std::string & | getUserString (const std::string &_key) const
const MapString & | getUserStrings () const
bool | clearUserString (const std::string &_key)
bool | isUserString (const std::string &_key) const
void | clearUserStrings ()
void | setUserData (Any _data)
template<typename ValueType >
ValueType * | getUserData (bool _throw=true) const
void | _setInternalData (Any _data)
template<typename ValueType >
ValueType * | _getInternalData (bool _throw=true) const
Public Member Functions inherited from MyGUI::WidgetInput
| WidgetInput ()
virtual | ~WidgetInput ()
void | setNeedToolTip (bool _value)
bool | getNeedToolTip () const
void | setPointer (const std::string &_value)
const std::string & | getPointer () const
void | setNeedKeyFocus (bool _value)
bool | getNeedKeyFocus () const
void | setNeedMouseFocus (bool _value)
bool | getNeedMouseFocus () const
void | setInheritsPick (bool _value)
bool | getInheritsPick () const
void | setMaskPick (const std::string &_filename)
void | setMaskPick (const MaskPickInfo &_info)
bool | isMaskPickInside (const IntPoint &_point, const IntCoord &_coord) const
bool | getRootMouseFocus () const
bool | getRootKeyFocus () const
void | _riseMouseLostFocus (Widget *_new)
void | _riseMouseSetFocus (Widget *_old)
void | _riseMouseDrag (int _left, int _top, MouseButton _id)
void | _riseMouseMove (int _left, int _top)
void | _riseMouseWheel (int _rel)
void | _riseMouseButtonPressed (int _left, int _top, MouseButton _id)
void | _riseMouseButtonReleased (int _left, int _top, MouseButton _id)
void | _riseMouseButtonClick ()
void | _riseMouseButtonDoubleClick ()
void | _riseKeyLostFocus (Widget *_new)
void | _riseKeySetFocus (Widget *_old)
void | _riseKeyButtonPressed (KeyCode _key, Char _char)
void | _riseKeyButtonReleased (KeyCode _key)
void | _riseMouseChangeRootFocus (bool _focus)
void | _riseKeyChangeRootFocus (bool _focus)
void | _setRootMouseFocus (bool _value)
void | _setRootKeyFocus (bool _value)
Public Member Functions inherited from MyGUI::delegates::IDelegateUnlink
virtual | ~IDelegateUnlink ()
| IDelegateUnlink ()
bool | compare (IDelegateUnlink *_unlink) const
Public Member Functions inherited from MyGUI::SkinItem
| SkinItem ()
ISubWidgetText * | getSubWidgetText ()
ISubWidgetRect * | getSubWidgetMain ()
void | _setTextureName (const std::string &_texture)
const std::string & | _getTextureName () const
Public Member Functions inherited from MyGUI::LayerItem
| LayerItem ()
virtual | ~LayerItem ()
ILayer * | getLayer () const
ILayerNode * | getLayerNode () const
virtual void | attachItemToNode (ILayer *_layer, ILayerNode *_node)
virtual void | detachFromLayer ()
virtual void | upLayerItem ()
void | setRenderItemTexture (ITexture *_texture)
void | addChildItem (LayerItem *_item)
void | removeChildItem (LayerItem *_item)
void | addChildNode (LayerItem *_item)
void | removeChildNode (LayerItem *_item)
void | addRenderItem (ISubWidget *_item)
void | removeAllRenderItems ()
void | saveLayerItem ()
void | restoreLayerItem ()
Public Member Functions inherited from MyGUI::ILayerItem
virtual | ~ILayerItem ()
Public Member Functions inherited from MyGUI::MemberObsolete< Widget >
bool | isEnabled ()
bool | isInheritsAlpha ()
bool | isNeedKeyFocus ()
bool | isNeedMouseFocus ()
bool | isInheritsPick ()
bool | isVisible ()
Public Member Functions inherited from MyGUI::MemberObsolete< Window >
void | setPosition (const IntCoord &_coord)
void | setPosition (int _left, int _top, int _width, int _height)
void | showSmooth (bool _reset=false)
void | hideSmooth ()
void | setMinMax (const IntRect &_minmax)
void | setMinMax (int _min_w, int _min_h, int _max_w, int _max_h)
IntRect | getMinMax ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::TextBox
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::Widget
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Data Fields
EventPair< EventHandle_WidgetString, EventHandle_WindowPtrCStringRef > | eventWindowButtonPressed
EventPair< EventHandle_WidgetVoid, EventHandle_WindowPtr > | eventWindowChangeCoord
Data Fields inherited from MyGUI::Widget
EventHandle_WidgetStringString | eventChangeProperty
EventHandle_WidgetVoid | eventChangeCoord
Data Fields inherited from MyGUI::WidgetInput
EventHandle_WidgetWidget | eventMouseLostFocus
EventHandle_WidgetWidget | eventMouseSetFocus
EventPairAddParameter< EventHandle_WidgetIntInt, EventHandle_WidgetIntIntButton > | eventMouseDrag
EventHandle_WidgetIntInt | eventMouseMove
EventHandle_WidgetInt | eventMouseWheel
EventHandle_WidgetIntIntButton | eventMouseButtonPressed
EventHandle_WidgetIntIntButton | eventMouseButtonReleased
EventHandle_WidgetVoid | eventMouseButtonClick
EventHandle_WidgetVoid | eventMouseButtonDoubleClick
EventHandle_WidgetWidget | eventKeyLostFocus
EventHandle_WidgetWidget | eventKeySetFocus
EventHandle_WidgetKeyCodeChar | eventKeyButtonPressed
EventHandle_WidgetKeyCode | eventKeyButtonReleased
EventHandle_WidgetBool | eventRootMouseChangeFocus
EventHandle_WidgetBool | eventRootKeyChangeFocus
EventHandle_WidgetToolTip | eventToolTip

## Protected Member Functions
virtual void | initialiseOverride ()
virtual void | shutdownOverride ()
void | onMouseChangeRootFocus (bool _focus)
void | onKeyChangeRootFocus (bool _focus)
void | onMouseDrag (int _left, int _top, MouseButton _id)
void | onMouseButtonPressed (int _left, int _top, MouseButton _id)
void | onMouseButtonReleased (int _left, int _top, MouseButton _id)
void | notifyMousePressed (MyGUI::Widget *_sender, int _left, int _top, MouseButton _id)
void | notifyMouseReleased (MyGUI::Widget *_sender, int _left, int _top, MouseButton _id)
void | notifyPressedButtonEvent (MyGUI::Widget *_sender)
void | notifyMouseDrag (MyGUI::Widget *_sender, int _left, int _top, MouseButton _id)
void | notifyMouseWheel (MyGUI::Widget *_sender, int _rel)
void | updateAlpha ()
void | animateStop (Widget *_widget, ControllerItem *_controller)
virtual void | setPropertyOverride (const std::string &_key, const std::string &_value)
Protected Member Functions inherited from MyGUI::Widget
virtual | ~Widget ()
void | _updateView ()
Widget * | baseCreateWidget (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer, const std::string &_name, bool _template)
void | _destroyAllChildWidget ()
virtual size_t | _getContainerIndex (const IntPoint &_point)
virtual void | baseUpdateEnable ()
virtual ILayerItem * | getLayerItemByPoint (int _left, int _top) const
virtual const IntCoord & | getLayerItemCoord () const
template<typename T >
void | assignWidget (T *&_widget, const std::string &_name)
VectorWidgetPtr | getSkinWidgetsByName (const std::string &_name)
void | destroySkinWidget (Widget *_widget)
virtual void | onWidgetCreated (Widget *_widget)
virtual void | onWidgetDestroy (Widget *_widget)
void | setWidgetClient (Widget *_widget)
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const
Protected Member Functions inherited from MyGUI::WidgetInput
virtual void | onMouseLostFocus (Widget *_new)
virtual void | onMouseSetFocus (Widget *_old)
virtual void | onMouseMove (int _left, int _top)
virtual void | onMouseWheel (int _rel)
virtual void | onMouseButtonClick ()
virtual void | onMouseButtonDoubleClick ()
virtual void | onKeyLostFocus (Widget *_new)
virtual void | onKeySetFocus (Widget *_old)
virtual void | onKeyButtonPressed (KeyCode _key, Char _char)
virtual void | onKeyButtonReleased (KeyCode _key)
Protected Member Functions inherited from MyGUI::SkinItem
void | _createSkinItem (ResourceSkin *_info)
void | _deleteSkinItem ()
void | _setSkinItemAlign (const IntSize &_size)
void | _setSkinItemVisible (bool _value)
void | _setSkinItemColour (const Colour &_value)
void | _setSkinItemAlpha (float _value)
void | _correctSkinItemView ()
void | _updateSkinItemView ()
bool | _setSkinItemState (const std::string &_state)
void | _setSubSkinVisible (bool _visible)
Protected Member Functions inherited from MyGUI::LayerItem
void | attachToLayerItemNode (ILayerNode *_node, bool _deep)
void | detachFromLayerItemNode (bool _deep)

## Additional Inherited Members
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin
ICroppedRectangle * | mCroppedParent

## Detailed Description

Window properties.
Skin childs. Window widget description should be here.

Definition at line 27 of file MyGUI_Window.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::Window::Base

Definition at line 31 of file MyGUI_Window.h.

## ◆ RTTIBase

typedef Window MyGUI::Window::RTTIBase

Definition at line 31 of file MyGUI_Window.h.

## Constructor & Destructor Documentation

## ◆ Window()

MyGUI::Window::Window | ( |  | ) |

Definition at line 25 of file MyGUI_Window.cpp.

## Member Function Documentation

## ◆ animateStop()

void MyGUI::Window::animateStop | ( | Widget * | _widget,
|  | ControllerItem * | _controller
| ) |  |
| protected

Definition at line 358 of file MyGUI_Window.cpp.

## ◆ destroySmooth()

void MyGUI::Window::destroySmooth | ( |  | ) |

Hide window smooth and then destroy it

Definition at line 351 of file MyGUI_Window.cpp.

## ◆ getActionScale()

const IntCoord & MyGUI::Window::getActionScale | ( |  | ) | const

Get current action applied to move/resize window.

Definition at line 489 of file MyGUI_Window.cpp.

## ◆ getAutoAlpha()

bool MyGUI::Window::getAutoAlpha | ( |  | ) | const

Get auto alpha mode flag

Definition at line 494 of file MyGUI_Window.cpp.

## ◆ getCaption()

const UString & MyGUI::Window::getCaption | ( |  | ) |
| virtual

Get window caption

Reimplemented from MyGUI::TextBox.

Definition at line 344 of file MyGUI_Window.cpp.

## ◆ getCaptionWidget()

TextBox * MyGUI::Window::getCaptionWidget | ( |  | ) |

Get window caption widget

Definition at line 499 of file MyGUI_Window.cpp.

## ◆ getClassTypeName()

static const std::string& MyGUI::Window::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 31 of file MyGUI_Window.h.

## ◆ getMaxSize()

IntSize MyGUI::Window::getMaxSize | ( |  | ) |

Get maximal possible window size

Definition at line 453 of file MyGUI_Window.cpp.

## ◆ getMinSize()

IntSize MyGUI::Window::getMinSize | ( |  | ) |

Get minimal possible window size

Definition at line 442 of file MyGUI_Window.cpp.

## ◆ getMovable()

bool MyGUI::Window::getMovable | ( |  | ) | const

Get possibility to move window.

Definition at line 603 of file MyGUI_Window.cpp.

## ◆ getSnap()

bool MyGUI::Window::getSnap | ( |  | ) | const

Get snap to borders mode flag

Definition at line 529 of file MyGUI_Window.cpp.

## ◆ getTypeName()

virtual const std::string& MyGUI::Window::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::TextBox.

Definition at line 31 of file MyGUI_Window.h.

## ◆ initialiseOverride()

void MyGUI::Window::initialiseOverride | ( |  | ) |
| protectedvirtual

skin clilds:
  Client is child widget with type Widget. Клиентская зона.

skin clilds:
  Caption is child widget with type TextBox. Caption for window.

Reimplemented from MyGUI::Widget.

Definition at line 37 of file MyGUI_Window.cpp.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::Window::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 31 of file MyGUI_Window.h.

## ◆ isType() [2/2]

virtual bool MyGUI::Window::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::TextBox.

Definition at line 31 of file MyGUI_Window.h.

## ◆ notifyMouseDrag()

void MyGUI::Window::notifyMouseDrag | ( | MyGUI::Widget * | _sender,
|  | int | _left,
|  | int | _top,
|  | MouseButton | _id
| ) |  |
| protected

Definition at line 179 of file MyGUI_Window.cpp.

## ◆ notifyMousePressed()

void MyGUI::Window::notifyMousePressed | ( | MyGUI::Widget * | _sender,
|  | int | _left,
|  | int | _top,
|  | MouseButton | _id
| ) |  |
| protected

Definition at line 165 of file MyGUI_Window.cpp.

## ◆ notifyMouseReleased()

void MyGUI::Window::notifyMouseReleased | ( | MyGUI::Widget * | _sender,
|  | int | _left,
|  | int | _top,
|  | MouseButton | _id
| ) |  |
| protected

Definition at line 539 of file MyGUI_Window.cpp.

## ◆ notifyMouseWheel()

void MyGUI::Window::notifyMouseWheel | ( | MyGUI::Widget * | _sender,
|  | int | _rel
| ) |  |
| protected

Definition at line 608 of file MyGUI_Window.cpp.

## ◆ notifyPressedButtonEvent()

void MyGUI::Window::notifyPressedButtonEvent | ( | MyGUI::Widget * | _sender | ) |
| protected

Definition at line 174 of file MyGUI_Window.cpp.

## ◆ onKeyChangeRootFocus()

void MyGUI::Window::onKeyChangeRootFocus | ( | bool | _focus | ) |
| protectedvirtual

Reimplemented from MyGUI::WidgetInput.

Definition at line 135 of file MyGUI_Window.cpp.

## ◆ onMouseButtonPressed()

void MyGUI::Window::onMouseButtonPressed | ( | int | _left,
|  | int | _top,
|  | MouseButton | _id
| ) |  |
| protectedvirtual

Reimplemented from MyGUI::WidgetInput.

Definition at line 151 of file MyGUI_Window.cpp.

## ◆ onMouseButtonReleased()

void MyGUI::Window::onMouseButtonReleased | ( | int | _left,
|  | int | _top,
|  | MouseButton | _id
| ) |  |
| protectedvirtual

Reimplemented from MyGUI::WidgetInput.

Definition at line 158 of file MyGUI_Window.cpp.

## ◆ onMouseChangeRootFocus()

void MyGUI::Window::onMouseChangeRootFocus | ( | bool | _focus | ) |
| protectedvirtual

Reimplemented from MyGUI::WidgetInput.

Definition at line 127 of file MyGUI_Window.cpp.

## ◆ onMouseDrag()

void MyGUI::Window::onMouseDrag | ( | int | _left,
|  | int | _top,
|  | MouseButton | _id
| ) |  |
| protectedvirtual

Reimplemented from MyGUI::WidgetInput.

Definition at line 143 of file MyGUI_Window.cpp.

## ◆ setAutoAlpha()

void MyGUI::Window::setAutoAlpha | ( | bool | _value | ) |

Enable or disable auto alpha mode

Definition at line 223 of file MyGUI_Window.cpp.

## ◆ setCaption()

void MyGUI::Window::setCaption | ( | const UString & | _value | ) |
| virtual

Set window caption

Reimplemented from MyGUI::TextBox.

Definition at line 336 of file MyGUI_Window.cpp.

## ◆ setCoord() [1/2]

void MyGUI::Window::setCoord | ( | const IntCoord & | _value | ) |
| virtual

Set widget position and size

Reimplemented from MyGUI::Widget.

Definition at line 279 of file MyGUI_Window.cpp.

## ◆ setCoord() [2/2]

void MyGUI::Window::setCoord | ( | int | _left,
|  | int | _top,
|  | int | _width,
|  | int | _height
| ) |  |

See Widget::setCoord(const IntCoord& _coord)

Definition at line 524 of file MyGUI_Window.cpp.

## ◆ setMaxSize() [1/2]

void MyGUI::Window::setMaxSize | ( | const IntSize & | _value | ) |

Set maximal possible window size

Definition at line 447 of file MyGUI_Window.cpp.

## ◆ setMaxSize() [2/2]

void MyGUI::Window::setMaxSize | ( | int | _width,
|  | int | _height
| ) |  |

Set maximal possible window size

Definition at line 509 of file MyGUI_Window.cpp.

## ◆ setMinSize() [1/2]

void MyGUI::Window::setMinSize | ( | const IntSize & | _value | ) |

Set minimal possible window size

Definition at line 436 of file MyGUI_Window.cpp.

## ◆ setMinSize() [2/2]

void MyGUI::Window::setMinSize | ( | int | _width,
|  | int | _height
| ) |  |

Set minimal possible window size

Definition at line 504 of file MyGUI_Window.cpp.

## ◆ setMovable()

void MyGUI::Window::setMovable | ( | bool | _value | ) |

Enable or disable possibility to move window.

Definition at line 598 of file MyGUI_Window.cpp.

## ◆ setPosition() [1/2]

void MyGUI::Window::setPosition | ( | const IntPoint & | _value | ) |
| virtual

Set widget position (position of left top corner)

Reimplemented from MyGUI::Widget.

Definition at line 239 of file MyGUI_Window.cpp.

## ◆ setPosition() [2/2]

void MyGUI::Window::setPosition | ( | int | _left,
|  | int | _top
| ) |  |

See Widget::setPosition(const IntPoint& _pos)

Definition at line 514 of file MyGUI_Window.cpp.

## ◆ setPropertyOverride()

void MyGUI::Window::setPropertyOverride | ( | const std::string & | _key,
|  | const std::string & | _value
| ) |  |
| protectedvirtual

Properties:
  AutoAlpha is Window property with type bool.
  Режим регулировки прозрачности опираясь на фокус ввода.

Properties:
  Snap is Window property with type bool.
  Режим прилипания к краям экрана.

Properties:
  MinSize is Window property with type int int.
  Минимальный размер окна.

Properties:
  MaxSize is Window property with type int int.
  Максимальный размер окна.

Properties:
  Movable is Window property with type bool.
  Режим движения окна мышью за любой участок.

Reimplemented from MyGUI::TextBox.

Definition at line 458 of file MyGUI_Window.cpp.

## ◆ setSize() [1/2]

void MyGUI::Window::setSize | ( | const IntSize & | _value | ) |
| virtual

Set widget size

Reimplemented from MyGUI::Widget.

Definition at line 253 of file MyGUI_Window.cpp.

## ◆ setSize() [2/2]

void MyGUI::Window::setSize | ( | int | _width,
|  | int | _height
| ) |  |

See Widget::setSize(const IntSize& _size)

Definition at line 519 of file MyGUI_Window.cpp.

## ◆ setSnap()

void MyGUI::Window::setSnap | ( | bool | _value | ) |

Enable or disable snap to borders mode

Definition at line 534 of file MyGUI_Window.cpp.

## ◆ setVisible()

void MyGUI::Window::setVisible | ( | bool | _value | ) |
| virtual

Hide or show widget

Reimplemented from MyGUI::Widget.

Definition at line 367 of file MyGUI_Window.cpp.

## ◆ setVisibleSmooth()

void MyGUI::Window::setVisibleSmooth | ( | bool | _value | ) |

Hide or show window smooth

Definition at line 398 of file MyGUI_Window.cpp.

## ◆ shutdownOverride()

void MyGUI::Window::shutdownOverride | ( |  | ) |
| protectedvirtual

Reimplemented from MyGUI::Widget.

Definition at line 119 of file MyGUI_Window.cpp.

## ◆ updateAlpha()

void MyGUI::Window::updateAlpha | ( |  | ) |
| protected

Definition at line 206 of file MyGUI_Window.cpp.

## Field Documentation

## ◆ eventWindowButtonPressed

EventPair<EventHandle_WidgetString, EventHandle_WindowPtrCStringRef> MyGUI::Window::eventWindowButtonPressed

Event : Window button pressed.
signature : void method(MyGUI::Window* _sender, const std::string& _name)

Parameters

  _sender | widget that called this event
  _name | of pressed button

Definition at line 104 of file MyGUI_Window.h.

## ◆ eventWindowChangeCoord

EventPair<EventHandle_WidgetVoid, EventHandle_WindowPtr> MyGUI::Window::eventWindowChangeCoord

Event : Window coordinate changed (window was resized or moved).
signature : void method(MyGUI::Window* _sender)

Parameters

  _sender | widget that called this event

Definition at line 110 of file MyGUI_Window.h.

The documentation for this class was generated from the following files:

- MyGUI_Window.h
- MyGUI_Window.cpp